JackTrip

Public Member Functions | Public Attributes | List of all members
RtAudio::DeviceInfo Struct Reference

The public device information structure for returning queried values. More...

`#include <RtAudio.h>`

## Public Member Functions
| DeviceInfo ()

## Public Attributes
bool | probed
std::string | name
unsigned int | outputChannels
unsigned int | inputChannels
unsigned int | duplexChannels
bool | isDefaultOutput
bool | isDefaultInput
std::vector< unsigned int > | sampleRates
RtAudioFormat | nativeFormats

## Detailed Description

The public device information structure for returning queried values.

## Constructor & Destructor Documentation

## ◆ DeviceInfo()

RtAudio::DeviceInfo::DeviceInfo | ( |  | ) |
| inline

## Member Data Documentation

## ◆ duplexChannels

unsigned int RtAudio::DeviceInfo::duplexChannels

Maximum simultaneous input/output channels supported by device.

## ◆ inputChannels

unsigned int RtAudio::DeviceInfo::inputChannels

Maximum input channels supported by device.

## ◆ isDefaultInput

bool RtAudio::DeviceInfo::isDefaultInput

true if this is the default input device.

## ◆ isDefaultOutput

bool RtAudio::DeviceInfo::isDefaultOutput

true if this is the default output device.

## ◆ name

std::string RtAudio::DeviceInfo::name

Character string device identifier.

## ◆ nativeFormats

RtAudioFormat RtAudio::DeviceInfo::nativeFormats

Bit mask of supported data formats.

## ◆ outputChannels

unsigned int RtAudio::DeviceInfo::outputChannels

Maximum output channels supported by device.

## ◆ probed

bool RtAudio::DeviceInfo::probed

true if the device capabilities were successfully probed.

## ◆ sampleRates

std::vector<unsigned int> RtAudio::DeviceInfo::sampleRates

Supported sample rates (queried from list of standard rates).

The documentation for this struct was generated from the following file:

- src/RtAudio.h